#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
	unsigned long int N;
	unsigned long int knjige[10000];
	
	cin >> N;

	for (int i = 0; i < N; i++)
	{
		cin >> knjige[i];
	}

	if (N == 2)
	{
		if (knjige[0] > knjige[1])
		{
			swap(knjige[0], knjige[1]);
		}
	}
	else
	{
		if (knjige[0] < knjige[1] && knjige[1] < knjige[2])
		{//od najmanje ka najvecoj
			unsigned long int temp = 3;
			while (knjige[temp] > knjige[temp - 1] && temp <= N)
			{
				temp++;
			}
			if (knjige[temp] < knjige[temp - 1])
			{
				unsigned long int temp2 = temp;
				temp++;
				while (knjige[temp] < knjige[temp2] && temp <= N)
				{
					temp++;
				}
				if (knjige[temp] > knjige[temp2])
				{
					swap(knjige[temp], knjige[temp2]);
				}
			}
		}
		else if (knjige[0] > knjige[1] && knjige[1] > knjige[2])
		{//od najvece ka najmanjoj
			unsigned long int temp = 3;
			while (knjige[temp] < knjige[temp - 1] && temp <= N)
			{
				temp++;
			}
			if (knjige[temp] > knjige[temp - 1])
			{
				unsigned long int temp2 = temp;
				temp++;
				while (knjige[temp] > knjige[temp2] && temp <= N)
				{
					temp++;
				}
				if (knjige[temp] < knjige[temp2])
				{
					swap(knjige[temp], knjige[temp2]);
				}
			}
		}
		else if (knjige[0] > knjige[1] && knjige[0] > knjige[2] && knjige[1] < knjige[2])
		{//od veceg ka manjem al u sredini lose
			swap(knjige[1], knjige[2]);
		}
		else if (knjige[0] < knjige[1] && knjige[0] < knjige[2] && knjige[1] > knjige[2])
		{//od manjeg ka vecem al u sredini lose
			swap(knjige[1], knjige[2]);
		}
	}

	for (int i = 0; i < N; i++)
	{
		cout << knjige[i] << " ";
	}
}